Subject: bug#65178: Shepherd hangs (was: Getting Guix to shutdown my laptop properly with Sway and no DE)

From: Hilton Chain <[email-masked]>
Date: Sun, 13 Aug 2023 23:25:59 +0800

On Wed, 09 Aug 2023 20:41:44 +0800,
Hilton Chain wrote:
> I'm not sure if Shepherd hangs at usual, but most of the time I find
> it already hanging is when doing a reconfiguration.  The
> reconfiguration becomes unresponsive and it won't accept a ^C, herd
> actions also hang.  This usually happens with home reconfiguration,

Today I encountered the home reconfiguration issue.  The behavior is
similar to <https://issues.guix.gnu.org/54919>.

Ending part of output for the hanging reconfiguration:
--8<---------------cut here---------------start------------->8---
[...]
Symlinking /home/hako/.config/fontconfig/fonts.conf -> /gnu/store/fvvqbma1xxgisfcq7rrwihbw7jwnyliv-fonts.conf... done
Symlinking /home/hako/.gnupg/gpg-agent.conf -> /gnu/store/kfaz4zrxmfz6p72x47c7qrqvb873gbyi-gpg-agent.conf... done
Symlinking /home/hako/.ssh/config -> /gnu/store/xb6f584pwclg48fr28wl21v1mxplqp6f-ssh.conf... done
Symlinking /home/hako/.icons/default/index.theme -> /gnu/store/3sraq69nrs04ii0fjgk36aw2c57q6z27-icons.theme... done
 done
Finished updating symlinks.

--8<---------------cut here---------------end--------------->8---

And `herd status' also hangs:
--8<---------------cut here---------------start------------->8---
$ herd status

--8<---------------cut here---------------end--------------->8---